# Interface IGenerateQueryDataOptions

interface IGenerateQueryDataOptions {
operation?: "query" | "subscription";
queryName?: string;
returning?: string | IReturningGenerator;
tableName: string;
tableNamePostfix?: string;
variables?: any;
}

#### Hierarchy (view full)

- IGenerateQueryDataOptions
  - IGenerateQueryDataResult

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:63

#####
Index

### Properties

operation?
queryName?
returning?
tableName
tableNamePostfix?
variables?

##
Properties

### `Optional` operation

operation?: "query" | "subscription"

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:66

### `Optional` queryName

queryName?: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:67

### `Optional` returning

returning?: string | IReturningGenerator

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:68

### tableName

tableName: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:65

### `Optional` tableNamePostfix

tableNamePostfix?: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:64

### `Optional` variables

variables?: any

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:69